Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_IO_Cntl_Msg Class Reference

Data format for IOCTL messages. More...

`#include <IO_Cntl_Msg.h>`

List of all members.

## Public Types
typedef u_short | ACE_IO_Cntl_Cmds
enum | { SET_LWM = 1, GET_LWM = 2, SET_HWM = 3, GET_HWM = 4, MOD_LINK = 5, MOD_UNLINK = 6 }
## Public Methods
| ACE_IO_Cntl_Msg (ACE_IO_Cntl_Cmds c)
| Initialize the control message. More...
ACE_IO_Cntl_Cmds | cmd (void)
| Get command. More...
void | cmd (ACE_IO_Cntl_Cmds c)
| Set command. More...
size_t | count (void)
| Get count. More...
void | count (size_t c)
| Set count. More...
int | error (void)
| Get error. More...
void | error (int e)
| Set error. More...
int | rval (void)
| Get return value. More...
void | rval (int r)
| Set return value. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
ACE_IO_Cntl_Cmds | cmd_
| Command. More...
size_t | count_
| Count. More...
int | error_
| Error. More...
int | rval_
| Return value. More...

## Detailed Description

Data format for IOCTL messages.

## Member Typedef Documentation

typedef u_short ACE_IO_Cntl_Msg::ACE_IO_Cntl_Cmds

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  SET_LWM | Set the low water mark.
  GET_LWM | Get the low water mark.
  SET_HWM | Set the high water mark.
  GET_HWM | Get the high water mark.
  MOD_LINK | Link modules.
  MOD_UNLINK | Unlink modules.

## Constructor & Destructor Documentation

ACE_IO_Cntl_Msg::ACE_IO_Cntl_Msg | ( | ACE_IO_Cntl_Cmds | c | ) | `[inline]`

| Initialize the control message.

## Member Function Documentation

void ACE_IO_Cntl_Msg::cmd | ( | ACE_IO_Cntl_Cmds | c | ) | `[inline]`

| Set command.

ACE_IO_Cntl_Cmds ACE_IO_Cntl_Msg::cmd | ( | void |  | ) | `[inline]`

| Get command.

void ACE_IO_Cntl_Msg::count | ( | size_t | c | ) | `[inline]`

| Set count.

size_t ACE_IO_Cntl_Msg::count | ( | void |  | ) | `[inline]`

| Get count.

void ACE_IO_Cntl_Msg::dump | ( | void |  | ) | const

| Dump the state of an object.

void ACE_IO_Cntl_Msg::error | ( | int | e | ) | `[inline]`

| Set error.

int ACE_IO_Cntl_Msg::error | ( | void |  | ) | `[inline]`

| Get error.

void ACE_IO_Cntl_Msg::rval | ( | int | r | ) | `[inline]`

| Set return value.

int ACE_IO_Cntl_Msg::rval | ( | void |  | ) | `[inline]`

| Get return value.

## Member Data Documentation

ACE_IO_Cntl_Msg::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

ACE_IO_Cntl_Cmds ACE_IO_Cntl_Msg::cmd_`[private]`

| Command.

size_t ACE_IO_Cntl_Msg::count_`[private]`

| Count.

int ACE_IO_Cntl_Msg::error_`[private]`

| Error.

int ACE_IO_Cntl_Msg::rval_`[private]`

| Return value.

The documentation for this class was generated from the following file:

- IO_Cntl_Msg.h